Package Details: instalooter 2.4.2-1

Git Clone URL: https://aur.archlinux.org/instalooter.git (read-only, click to copy)
Package Base: instalooter
Description: Another API-less Instagram pictures and videos downloader
Upstream URL: https://github.com/althonos/InstaLooter
Licenses: GPL3
Submitter: polyzen
Maintainer: None
Last Packager: polyzen
Votes: 2
Popularity: 0.001586
First Submitted: 2018-05-27 19:52
Last Updated: 2019-12-27 18:12

Latest Comments

dmp1ce commented on 2020-06-25 13:42

I tried to update to 2.4.3 but I had another library issue. Waiting on upstream to fix. https://github.com/althonos/InstaLooter/issues/293

polyzen commented on 2020-05-27 18:21

Thank you for reporting upstream.

dmp1ce commented on 2020-05-27 16:18

I received the following error when running.

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (tenacity 6.2.0 (/usr/lib/python3.8/site-packages), Requirement.parse('tenacity~=5.0'), {'instalooter'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/instalooter", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3253, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3236, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3265, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'tenacity~=5.0' distribution was not found and is required by instalooter